com.google.gwt.place.shared

## Class PlaceController.DefaultDelegate

- java.lang.Object
- - com.google.gwt.place.shared.PlaceController.DefaultDelegate

All Implemented Interfaces:
  PlaceController.Delegate

Enclosing class:
  PlaceController

    public static class PlaceController.DefaultDelegate
    extends java.lang.Object
    implements PlaceController.Delegate

Default implementation of `PlaceController.Delegate`, based on `Window`.

### Constructor Summary

Constructors
Constructor and Description
`DefaultDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HandlerRegistration` `addWindowClosingHandler(Window.ClosingHandler handler)` Adds a `Window.ClosingHandler` to the Delegate.
`boolean` `confirm(java.lang.String message)` Called to confirm a window closing event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDelegate

    public DefaultDelegate()

### Method Detail

#### addWindowClosingHandler

    public HandlerRegistration addWindowClosingHandler(Window.ClosingHandler handler)

Description copied from interface: `PlaceController.Delegate`
Adds a `Window.ClosingHandler` to the Delegate.

Specified by:
  `addWindowClosingHandler` in interface `PlaceController.Delegate`
Parameters:
  `handler` - a `Window.ClosingHandler` instance
Returns:
  a `HandlerRegistration` instance

#### confirm

    public boolean confirm(java.lang.String message)

Description copied from interface: `PlaceController.Delegate`
Called to confirm a window closing event.

Specified by:
  `confirm` in interface `PlaceController.Delegate`
Parameters:
  `message` - a warning message
Returns:
  true to allow the window closing